<?xml version="1.0" encoding="UTF-8"?>

<!-- Custom Model -->

<!-- Note: This model is pre-configured to load at startup of the Repository. 
	So, all custom -->
<!-- types and aspects added here will automatically be registered -->

<model name="cc:ccModel" xmlns="http://www.alfresco.org/model/dictionary/1.0">

	<!-- Optional meta-data about the model -->
	<description>Custom Model Contratti</description>
	<author>Cristian Del Carlo</author>
	<version>1.0</version>

	<imports>
		<!-- Import Alfresco Dictionary Definitions -->
		<import uri="http://www.alfresco.org/model/dictionary/1.0"
			prefix="d" />
		<!-- Import Alfresco Content Domain Model Definitions -->
		<import uri="http://www.alfresco.org/model/content/1.0" prefix="cm" />
	</imports>
	<namespaces>
		<namespace uri="http://255.255.255.4/model/content/1.0"
			prefix="cc" />
	</namespaces>

	<constraints>
		<constraint name="cc:Tipologia_Documento_ContrattiConstraint"
			type="LIST">
			<parameter name="allowedValues">
				<list>
					<value>Utenze</value>
					<value>Risorse umane</value>
					<value>Locazione</value>
					<value>Consulenze</value>
				</list>
			</parameter>
		</constraint>
	</constraints>

	<types>
		<type name="cc:Contratti">
			<title>Contratti</title>
			<parent>cm:content</parent>
			<mandatory-aspects>
				<aspect>cc:AspettoContratti</aspect>
			</mandatory-aspects>
		</type>
	</types>
	<aspects>
		<aspect name="cc:AspettoContratti">
			<title>Dati Contratti</title>
			<properties>
				<property name="cc:DataDocumento">
					<title>Data documento</title>
					<type>d:date</type>
					<mandatory>false</mandatory>
				</property>
				<property name="cc:Tipologia_Documento_Contratti" type="LIST">
					<title>Tipologia Doc. (Contratti)</title>
					<type>d:text</type>
					<mandatory>false</mandatory>
					<constraints>
						<constraint ref="cc:Tipologia_Documento_ContrattiConstraint" />
					</constraints>
				</property>
				<property name="cc:Note">
					<title>Note</title>
					<type>d:text</type>
					<mandatory>false</mandatory>
				</property>
			</properties>
		</aspect>
	</aspects>
</model>